Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.idp.profile.saml1
Class AbstractSAML1ProfileHandler.SAML1AuditLogEntry

    java.lang.Object
      edu.internet2.middleware.shibboleth.common.log.AuditLogEntry
          edu.internet2.middleware.shibboleth.idp.profile.saml1.AbstractSAML1ProfileHandler.SAML1AuditLogEntry

Enclosing class:
  AbstractSAML1ProfileHandler

    protected class AbstractSAML1ProfileHandler.SAML1AuditLogEntry

extends edu.internet2.middleware.shibboleth.common.log.AuditLogEntry

SAML 1 specific audit log entry.

Field Summary

Fields inherited from class edu.internet2.middleware.shibboleth.common.log.AuditLogEntry
`AUDIT_LOGGER_NAME`

Constructor Summary
`protected` | `AbstractSAML1ProfileHandler.SAML1AuditLogEntry()`

Method Summary
`org.opensaml.saml1.core.Response` | `getSAMLResponse()` Gets the response to the SAML 1 request.
`void` | `setSAMLResponse(org.opensaml.saml1.core.Response response)` Sets the response to the SAML 1 request.
`String` | `toString()`

Methods inherited from class edu.internet2.middleware.shibboleth.common.log.AuditLogEntry
`getAssertingPartyId, getAuditEventTime, getMessageProfile, getPrincipalAuthenticationMethod, getPrincipalName, getReleasedAttributes, getRelyingPartyId, getRequestBinding, getRequestId, getResponseBinding, getResponseId, setAssertingPartyId, setMessageProfile, setPrincipalAuthenticationMethod, setPrincipalName, setRelyingPartyId, setRequestBinding, setRequestId, setResponseBinding, setResponseId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractSAML1ProfileHandler.SAML1AuditLogEntry

    protected AbstractSAML1ProfileHandler.SAML1AuditLogEntry()

Method Detail

### getSAMLResponse

    public org.opensaml.saml1.core.Response getSAMLResponse()

  Gets the response to the SAML 1 request.

  Returns:
    the response to the SAML 1 request

### setSAMLResponse

    public void setSAMLResponse(org.opensaml.saml1.core.Response response)

  Sets the response to the SAML 1 request.

  Parameters:
    `response` - the response to the SAML 1 request

### toString

    public String toString()

  Overrides:
    `toString` in class `edu.internet2.middleware.shibboleth.common.log.AuditLogEntry`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2008 Internet2. All Rights Reserved.